Retrieve quotes for a new Azure volume
POST /azure/vsa/volumes/quote
Retrieves quotes for a new volume. Returns the resource quote required for the requested volume.
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
workingEnvironmentId |
string |
True |
Cloud Volumes ONTAP system ID |
svmName |
string |
True |
SVM name |
aggregateName |
string |
False |
Optionally choose in which aggregate to create the volume |
name |
string |
False |
Volume name, unique within the SVM |
size |
True |
||
initialSize |
False |
||
enableThinProvisioning |
boolean |
True |
Enable thin provisioning on the volume |
providerVolumeType |
string |
False |
Provider volume type |
verifyNameUniqueness |
boolean |
True |
Verify volume name uniqueness within the SVM |
capacityTier |
string |
False |
Capacity tier |
isReplicationFlow |
boolean |
True |
Is replication flow |
iops |
integer |
False |
Provisioned IOPS |
throughput |
integer |
False |
Provisioned throughput |
tieringPolicy |
string |
False |
Tiering policy |
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
numOfDisks |
integer |
True |
Number of new disks needed |
diskSize |
True |
||
aggregateName |
string |
True |
The aggregate on which the requested volume will be created |
newAggregate |
boolean |
True |
Is it a newly created aggregate |
autoVsaCapacityManagement |
boolean |
True |
Indicates if automatic Cloud Volumes ONTAP capacity management is enabled |
elasticVolumeQuoteResponse |
False |
Definitions
See Definitions
PositiveCapacity
| Name | Type | Required | Description |
|---|---|---|---|
size |
number |
True |
Size |
unit |
string |
True |
Unit |
Capacity
| Name | Type | Required | Description |
|---|---|---|---|
size |
number |
True |
Size |
unit |
string |
True |
Unit |
RaidInfoForEvAggregate
| Name | Type | Required | Description |
|---|---|---|---|
numOfDisks |
integer |
True |
Number of new disks needed for the RAID group |
diskSize |
True |
ElasticVolumeQuoteInfo
| Name | Type | Required | Description |
|---|---|---|---|
totalCapacityToAdd |
False |
||
addedCapacityToExistingEvDisks |
False |
||
newRaidForEvInfo |
array[RaidInfoForEvAggregate] |
False |
New RAID information |
totalEvDisks |
integer |
False |